Error when clicking "Preview"

Help
BobSongs
2008-02-05
2013-05-21
  • BobSongs

    BobSongs - 2008-02-05

    PATH=/sw/bin:/opt/local/bin:/opt/local/sbin:/Library/Frameworks/Python.framework/Versions/Current/bin:/sw/bin:/sw/sbin:/bin:/sbin:/usr/bin:/usr/sbin:/usr/X11R6/bin
    Processing `VocalEasel.ly'
    Parsing...
    error: Incorrect lilypond version: 2.8.0 (2.3.22, 2.6.3)
    error: Consider updating the input with the convert-ly script
    VocalEasel.ly:11:11: error: syntax error, unexpected '-', expecting '='
           page
               -top-space = #.1VocalEasel.ly:1:147: In expression (define-markup-command (vlStack layout props ...) (markup? markup?) ...):
    VocalEasel.ly:1:147: Unbound variable: define-markup-command

     
    • Matthias Neeracher

      The version of lilypond you've installed is ancient (most likely you installed this through lilypond stable on MacOS 10.4 or so).

      The easiest way to fix this is to download a lilypond release from lilypond.org, or to switch to the unstable fink tree.

       

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks